<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ORAddOnModule StructType
 * @subpackage Structs
 */
class ORAddOnModule extends AbstractStructBase
{
    /**
     * The model
     * Meta information extracted from the WSDL
     * - documentation: Model ID string.
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType
     */
    public $model;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for ORAddOnModule
     * @uses ORAddOnModule::setModel()
     * @uses ORAddOnModule::setUuid()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $model
     * @param string $uuid
     */
    public function __construct(\\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $model = null, $uuid = null)
    {
        $this
            ->setModel($model)
            ->setUuid($uuid);
    }
    /**
     * Get model value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType|null
     */
    public function getModel()
    {
        return $this->model;
    }
    /**
     * Set model value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $model
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORAddOnModule
     */
    public function setModel(\\Losc\CucmBundle\Model\Webservice\StructType\ORFkType $model = null)
    {
        $this->model = $model;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\ORAddOnModule
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
